Skip to main content
GET
/
api
/
v1
/
llm
/
files
/
{file_id}
/
content
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.files.content({
    fileId: "file-abc123",
  });

  console.log(result);
}

run();
"Sample file content"

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

file_id
string
required

Response

File content returned as binary data. The Content-Type header will reflect the file's MIME type.

The response is of type file.